Subject: Re: bug#20292: 24.5; Saving Git-controlled file with merge conflicts after "stash pop" stages the file

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 May 2015 10:14:38 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Thu, 14 May 2015 16:55:50 -0400
> 
> 
> I think the only sane way to handle this is to always use "git add" and
> to add a config var so users who don't like it can disable it.

Who'd like it?  It will do something utterly inappropriate.

> After all, when unstashing changes in a file that already has
> a modification staged

That's not the use case we were discussing, though.  We were
discussing a use case where the user merged from another repository,
and then wants her uncommitted changes restored.  Leaving them staged
will trip the naive users.

> IOW, I think bug#20292 is simply not a bug.

I respectfully disagree.